$primary: hsl(217, 22%, 37%);
$border-color: #dadada;
.toggler {
  height: 55px;
  &.minify {
    text-align: center;
    width: 100%;
    .menu-toggler {
      float: none;
    }
  }
  .menu-toggler {
    width: 35px;
    height: 35px;
    margin: 12px 4px 0px 4px;
    float: right;
    background-color: transparent;
    color: $primary;
    border-radius: 100%;
    border: 1px solid $border-color;
    transition: 0.3s ease-in-out;
    padding: 4px;
    &:hover {
      background-color: #d54141;
      border: 1px solid #d54141;
    }
    &:hover::before {
      background-color: white;
    }
    &:hover::after {
      background-color: white;
    }
    &::before {
      content: "";
      display: block;
      width: 1.5em;
      height: 3px;
      background-color: $primary;
      margin-bottom: 5px;
      animation: rotate 200;
      height: 2px;
      transform: rotate(-45deg) translate(-1px, 3px);
      transition: 0.5s ease-in-out;
    }
    &::after {
      content: "";
      display: block;
      width: 1.5em;
      height: 3px;
      background-color: $primary;
      transition: 0.5s ease-in-out;
      height: 2px;
      transform: rotate(45deg) translate(-2px, -4px);
    }
    &.minify {
      border-radius: 5px;
      padding: 5px;
      &:hover {
        background-color: lighten($color: $primary, $amount: 10);
        border-color: $primary;
      }
      &::before {
        height: 2px;
        transform: rotate(0) translate(0px, 0px);
      }
      &::after {
        height: 2px;
        transform: rotate(0) translate(0px, 0px);
      }
    }
  }
}
